import { requestClient } from '#/api/request';

const prefix = 'order/';
/**
 * 分页查询订单管理列表
 * @param data
 */
export async function getOrderListApi(data: any) {
  return requestClient.get<any>(`${prefix}list`, { params: data });
}

/**
 * 获取订单管理下拉列表
 */
export async function getOrderOptionApi() {
  return requestClient.get<any>(`${prefix}option`);
}

/**
 * 获取订单管理详情
 * @param id
 */
export async function getOrderInfoApi(id: number) {
  return requestClient.get<any>(`${prefix}detail`, { params: { id } });
}

/**
 * 新增订单管理
 * @param data
 */
export async function createOrderApi(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}create`, data);
}

/**
 * 编辑订单管理
 * @param data
 */
export async function updateOrderApi(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}update`, data);
}

/**
 * 删除订单管理
 * @param data
 */
export async function deleteOrderApi(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}delete`, data);
}
